/*
 * Copyright 2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.mobile.urbanairship.impl.json;

import java.util.List;

import org.codehaus.jackson.annotate.JsonProperty;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.springframework.mobile.urbanairship.impl.TagTemplate.AddRemove;

@JsonSerialize(include=JsonSerialize.Inclusion.NON_NULL)
abstract class ModifyTagsMixin {

	@JsonProperty("device_tokens")
	AddRemove deviceTokens;
	
	@JsonProperty("device_pins")
	AddRemove devicePins;
	
	@JsonProperty("appids")
	AddRemove appIds;

	static abstract class AddRemoveMixin {
		
		@JsonProperty("add")
		List<String> add;

		@JsonProperty("remove")
		List<String> remove;

	}
}
